#
# $Id: gs-fonts.rps $
#
# Spec file for fonts for Aladdin Ghostscript 6.0
#
# This file is not maintained by Aladdin Enterprises.
#
# The intention of this package is to allow someone to update
# Ghostscript from an older GNU Ghostscript version to a later
# Aladdin Ghostscript version.
# Note that Aladdin Ghostscript has a different licence to
# GNU Ghostscript.   You can not include Aladdin Ghostscript
# in a linux distribution that is distributed commercially.
#
# This package should work with older Linux releases.
# Consequently, it includes all fonts needed by Ghostscript and
# does not depend on any other fonts that might be installed.
# This may mean that a second copy of Type 1 fonts are installed just 
# for Ghostscript, but this is the price of backward compatibility.
# This font package depends on no other packages.
#
#
Summary: Fonts for the GhostScript interpreter
Name: ghostscript-fonts
Version: 6.0
Release: 2
Copyright: Aladdin Free Public License, Aladdin Enterprises
Group: Applications/Graphics
BuildRoot: /var/tmp/gsfonts
Source0: ftp://ftp.cs.wisc.edu/ghost/aladdin/fonts/ghostscript-fonts-std-%{version}.tar.gz
Source1: ftp://ftp.cs.wisc.edu/ghost/aladdin/fonts/ghostscript-fonts-other-%{version}.tar.gz
Vendor: Aladdin Enterprises
Packager: Russell Lang <gsview@ghostgum.com.au>
#Icon: ghost.gif
#Distribution: Unknown
# Ghostscript requires these fonts.  The fonts do not require Ghostscript.
#Requires: ghostscript
BuildArchitectures: noarch

%description
These fonts are used by the GhostScript interpreter during text rendering. 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/ghostscript
cd $RPM_BUILD_ROOT/usr/share/ghostscript
tar xvzf $RPM_SOURCE_DIR/ghostscript-fonts-std-%{version}.tar.gz
tar xvzf $RPM_SOURCE_DIR/ghostscript-fonts-other-%{version}.tar.gz
chown -R 0.0 .

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/share/ghostscript

%changelog
* Thu May 11 2000 Russell Lang <gsview@ghostgum.com.au>
- Font location fixed.
  Fonts are now installed in /usr/share/ghostscript/fonts
  as expected by the Aladdin Ghostscript 6.0 and 6.01 RPMs,
  not the incorrect /usr/share/fonts/default/ghostscript
  used by ghostscript-fonts-6.0-1.rpm
* Sun Feb 13 2000 Russell Lang <gsview@ghostgum.com.au>
- ghostscript 6.0 release
  Objective is to make this RPM as portable as possible.
  This is an Aladdin release, not GNU.
